-- Greg Stitt
-- University of Florida
-- EEL 5934/4930 Reconfigurable Computing
--
-- File: add.vhd
--
-- Description: This file implements an integer adder.

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.all;
use IEEE.STD_LOGIC_UNSIGNED.all;

entity ADD is
  generic (width       :     natural := 32);
  port( input1, input2 : in  unsigned(width-1 downto 0);
        output         : out unsigned(width-1 downto 0) );
end ADD;

architecture bhv of ADD is
begin
  process(input1, input2)
  begin
    output <= input1+input2;
  end process;
end bhv;
